[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Installation |
--- | --- | ---

VIGRA can be downloaded from http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/vigra1.4.0.tar.gz.

VIGRA is known to work with the following compilers:

- GNU g++ 2.95.3 and newer
- Microsoft Visual C++ 7.1 (aka C++.net 2003)

VIGRA is known NOT to work with the following compilers:

- GNU g++ 2.9.2 and earlier
- support for Microsoft Visual C++ 6.0 has largely been dropped, but some of VIGRA should still work with this compiler

VIGRA should work with any standard conforming C++ compiler.

### Unix:

- uncompress and unpack the source distribution
- run `configure`:

          > cd <vigra_path>
          > ./configure --prefix=/your/install/path --exec-prefix=/your/bin/install/path  \
                        --with-cc=gcc --with-cxx=g++ \
                        --with-jpeg=/path/to/libjpeg/installation \
                        --with-tiff=/path/to/libtiff/installation \
                        --with-png=/path/to/libpng/installation \
                        --with-zlib=/path/to/zlib/installation \
                        --with-fftw=/path/to/libfftw/installation

  Of course, the flags given to `configure` may vary for your build. In particular, if you drop `--with-jpeg`, `--with-tiff`, or `--with-fftw`, VIGRA will be build without support for these libraries. Invoke `configure --help` for a complete list of options, default settings and explanations.

  On a LINUX system, it is often possible to run configure without any options.

  You can also create a dedicated build directory, e.g. to facilitate parallel installations on multiple platforms. You must cd into this directopry and run configure with the appropriate relative or absolute path..

- build the library, execute the tests, and compile the Examples:

          > make
          > make test
          > make install
          > make examples

  Besides `/your/bin/install/path/lib/libvigraimpex.a` and the html-documentation, this also installs a programm `/your/bin/install/path/bin/vigra-config`. This programm supports the compilation of software which depends on VIGRA by returning the neccessary compiler and linker settings. For example,

          > vigra-config --cppflags
          -I/your/install/path/include -I/path/to/libfftw/include

  Call `vigra-config --help` for a complete list of options. You may also look at `<vigra_path>/src/examples/Makefile` for a usage example.

### Windows (Microsoft Visual C++ 7.1, also known as C++.net 2003):

- uncompress and unpack the source distribution

- go into the directory `[some path]/vigra/src/`

- load the workspace `vigra.sln` into Visual Studio (note: A Visual C++ 6.0 workspace `vigra.dsw` and workarounds for compiler bugs are still in the distribution but will no longer be maintained.)

- specify in the project settings if and where JPEG, TIFF, and FFTW libraries are installed:
  either update the paths to the include and library files for libjpeg, libtiff, libpng, and libfftw on your system
  -- or -- remove the `HasJPEG`, `HasTIFF`, and `HasPNG` preprocessor flags.

- build the workspace (that is, the library `vigraimpex.lib` and the Examples)

- the Examples can now be invoked from the command line (DOS prompt).

- if you include "windows.h": there are some name clashes -- include "vigra/windows.h" instead.

- The VIGRA test suite can be similarly compiled and executed by loading the solution `[some path]/vigra/test/test.sln`.

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)